#pragma once
#include <QObject>

class DeviceScreener final : public QObject {
    Q_OBJECT
public:
    explicit DeviceScreener(QObject* parent = nullptr);
    ~DeviceScreener() override;

    public slots:
        void start();
    void stop();

    signals:
        void finished();

private:
    bool m_running = true;
};